﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// La plantilla de elemento Página en blanco está documentada en https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0xc0a

namespace Proyecto31
{
    /// <summary>
    /// Página vacía que se puede usar de forma independiente o a la que se puede navegar dentro de un objeto Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            mediaElement1.Source = new Uri(BaseUri, "Assets/numeros.mp3");
        }

        private void boton1_Click(object sender, RoutedEventArgs e)
        {
            mediaElement1.Play();
        }

        private void boton2_Click(object sender, RoutedEventArgs e)
        {
            mediaElement1.Pause();
        }

        private void boton3_Click(object sender, RoutedEventArgs e)
        {
            mediaElement1.Stop();
        }

        private void boton4_Click(object sender, RoutedEventArgs e)
        {
            if (mediaElement1.Volume > 0)
            {
                double x = mediaElement1.Volume - 0.10;
                mediaElement1.Volume = x;
            }
        }

        private void boton5_Click(object sender, RoutedEventArgs e)
        {
            if (mediaElement1.Volume < 1)
            {
                double x = mediaElement1.Volume + 0.10;
                mediaElement1.Volume = x;
            }
        }

        private void boton6_Click(object sender, RoutedEventArgs e)
        {
            if (mediaElement1.IsLooping)
            {
                mediaElement1.IsLooping = false;
                boton6.Content = "Reproducir en forma circular";
            }
            else
            {
                mediaElement1.IsLooping = true;
                boton6.Content = "No reproducir en forma circular";
            }
        }
    }
}
